/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

package com.fundi.framework.common.change;

public class ChangeDetail implements IChange {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$

	private Object		key;
	private Object		value;
	
	public ChangeDetail(Object key, Object value) {
		this.key = key;
		this.value = value;
	}
	
	public Object getKey() {
		return key;
	}
	
	public Object getValue() {
		return value;
	}

	@Override
	public boolean equals(Object o) {
		if (ChangeDetail.class.isInstance(o)) {
			ChangeDetail	other = (ChangeDetail) o;
			return this.key == null && other.key == null || (this.key != null && this.key.equals(other.key));
		} else {
			return false;
		}
	}
	
	@Override
	public String toString() {
		StringBuilder	result = new StringBuilder();
		
		result.append(this.getClass().getSimpleName());
		result.append(": "); //$NON-NLS-1$
		result.append(key == null ? "<null>" : key); //$NON-NLS-1$
		result.append(" = "); //$NON-NLS-1$
		result.append(value == null ? "<null>" : value); //$NON-NLS-1$
		
		return result.toString();
	}
}
