package com.fundi.framework.common.instance;

/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

import java.text.DateFormat;
import java.util.Date;

import com.fundi.framework.common.nl1.Messages;
import com.fundi.framework.common.util.StringEditor;

public class ConsoleMessage {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$
	
	private String msg = ""; //$NON-NLS-1$
	private Date msgTime = new Date();
	
	public ConsoleMessage() {
		
		super();
	}
	
	public ConsoleMessage(String msg) {
		
		super();
		
		this.msg = msg;
	}

	public String getMessage() {
		
		return msg;
	}
	
	public Date getMessageTime() {
		
		return msgTime;
	}
	
	public int length() {
		
		return msg.length();
	}
	
	public String format() {
		
		String timePfx = Messages.getString("ConsoleMessage_5") + DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.MEDIUM).format(msgTime) + Messages.getString("ConsoleMessage_6"); //$NON-NLS-1$ //$NON-NLS-2$
		String trimMsg = "";
		int line;
		StringEditor edt;
		StringBuffer fmtMsg = new StringBuffer(""); //$NON-NLS-1$

		if (msg != null) {
			trimMsg = msg.trim();
			if (trimMsg.length() > 0) {
				edt = new StringEditor(trimMsg);
				for (line = 1; line <= edt.getLineCount(); line++) {
					fmtMsg.append(timePfx);
					fmtMsg.append(edt.getLine(line));
					fmtMsg.append("\r\n"); //$NON-NLS-1$
				}
			}
		}
				
		return fmtMsg.toString(); 
	}
}
