/*
 *  Common Services Library - Framework plug-in.
 *  (C) Copyright Fundi Software 2011, 2016.  Fundi Confidential.
 *  All rights reserved.  Use, duplication or disclosure restricted. 
 */

package com.fundi.framework.common.navigation;

/**
 * Intended to provide information on the interface context in which a context menuitem  is going to show - for this case a list/table of some sort.
 * 
 * It is anticipated that a sister interface may one day be required for Navigation - something like ITreeContext which would allow the framework
 * provider to include/disclude certain tree-specific items/options
 */
public interface IListViewer {

	//Eye catchers.
	public static final String EC_COPYRIGHT = "(C) Copyright 2011, 2016 Fundi Software.  Fundi Confidential."; //$NON-NLS-1$
	public static final String EC_APAR = "3.1.1.00_00014"; //$NON-NLS-1$
	public static final String EC_FMID = "H30SA10"; //$NON-NLS-1$
	public static final String EC_PID = "5655-CSL"; //$NON-NLS-1$

	//returning true to any of the hide column options should trigger provision of a show all columns option by the provider
	public void hideBlankColumns();
	public void hideZeroColumns();
	public void hideSameValueColumns();
	public void showAllColumns();
	public void resetListLayout();
	public void manageListLayout();
}
